Add event comment
POST
/api/events/add-comment
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/events/add-comment"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"eventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"userId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"parentId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"commentId\": \"example\", \"commentType\": \"Comment\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/add-comment';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","userId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","parentId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","commentId":"example","commentType":"Comment"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/events/add-comment \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "commentId": "example", "commentType": "Comment" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The request details.
object
eventId
string format: uuid
userId
string format: uuid
parentId
null | string format: uuid
commentId
null | string
commentType
object
eventId
string format: uuid
userId
string format: uuid
parentId
null | string format: uuid
commentId
null | string
commentType
object
eventId
string format: uuid
userId
string format: uuid
parentId
null | string format: uuid
commentId
null | string
commentType
Responses
Section titled “Responses”OK
object
requestId
null | string
requestComplete
boolean
requestCompleteDate
null | string format: date-time
errors
Array<string> | null
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
personId
null | string format: uuid
userId
string format: uuid
objId
string format: uuid
objType
null | string
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
bodyText
null | string
bodyHtml
null | string
publish
boolean
commentFlag
commentType
reactionSummary
null | string
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
message
null | string
success
boolean
status
null | integer | string format: int32
object
requestId
null | string
requestComplete
boolean
requestCompleteDate
null | string format: date-time
errors
Array<string> | null
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
personId
null | string format: uuid
userId
string format: uuid
objId
string format: uuid
objType
null | string
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
bodyText
null | string
bodyHtml
null | string
publish
boolean
commentFlag
commentType
reactionSummary
null | string
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": { "commentFlag": "Ok", "commentType": "Comment" }}object
requestId
null | string
requestComplete
boolean
requestCompleteDate
null | string format: date-time
errors
Array<string> | null
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
personId
null | string format: uuid
userId
string format: uuid
objId
string format: uuid
objType
null | string
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
bodyText
null | string
bodyHtml
null | string
publish
boolean
commentFlag
commentType
reactionSummary
null | string
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": { "commentFlag": "Ok", "commentType": "Comment" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}